Skip to content

Api keys

Manage API keys. Only from the dashboard, so a leaked key cannot mint new ones.

GET/v1/api-keysDashboard only

Response 200

data []
  • idstringrequired
  • namestringrequired
  • prefixstringrequired
  • createdAtstring (date-time)required
  • revokedAtstring (date-time)
Ventana de terminal
curl "https://api.usecrier.com/v1/api-keys" \
-H "Authorization: Bearer $CRIER_API_KEY"
POST/v1/api-keysDashboard only

Body

  • namestringrequired

    max 60

Response 201

data
  • keyobjectrequired
    key
    • idstringrequired
    • namestringrequired
    • prefixstringrequired
    • createdAtstring (date-time)required
    • revokedAtstring (date-time)
  • secretstringrequired

    The full key, shown only this once.

Ventana de terminal
curl -X POST "https://api.usecrier.com/v1/api-keys" \
-H "Authorization: Bearer $CRIER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "production"
}'
DELETE/v1/api-keys/{id}Dashboard only

Parameters

  • idstringrequired

Response 204

No content

Ventana de terminal
curl -X DELETE "https://api.usecrier.com/v1/api-keys/key_2b4n6m" \
-H "Authorization: Bearer $CRIER_API_KEY"

© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com